| Home | Libraries | People | FAQ | More

##### basic_serial_port::basic_serial_port (1 of 4 overloads)

Construct a `basic_serial_port` without opening it.

    basic_serial_port(
        boost::asio::io_service & io_service);

This constructor creates a serial port without opening it.

###### Parameters

io_service

  The `io_service` object that the serial port will use to dispatch handlers for any asynchronous operations performed on the port.